return {
  {
    'folke/trouble.nvim',
    dependencies = {
      'nvim-tree/nvim-web-devicons'
    },
    config = function()
      require('trouble').setup({})

      vim.keymap.set('n', '<leader>tr', function()
        require('trouble').toggle()
      end, { remap = false })

      vim.keymap.set('n', ']d', vim.diagnostic.goto_next, { remap = false })
      vim.keymap.set('n', '[d', vim.diagnostic.goto_prev, { remap = false })
      vim.keymap.set('n', '<leader>sd', vim.diagnostic.open_float, { remap = false })
      vim.keymap.set('n', '<leader>sq', vim.diagnostic.setqflist, { remap = false })
    end
  },
}
